import { RoomMember, User, Room, ResizeMethod } from "matrix-js-sdk/src/matrix";
export declare function avatarUrlForMember(member: RoomMember | undefined, width: number, height: number, resizeMethod: ResizeMethod): string;
/**
 * Determines the HEX color to use in the avatar pills
 * @param id the user or room ID
 * @returns the text color to use on the avatar
 */
export declare function getAvatarTextColor(id: string): string;
export declare function avatarUrlForUser(user: Pick<User, "avatarUrl">, width: number, height: number, resizeMethod?: ResizeMethod): string | null;
export declare function defaultAvatarUrlForString(s: string): string;
/**
 * returns the first (non-sigil) character of 'name',
 * converted to uppercase
 * @param {string} name
 * @return {string} the first letter
 */
export declare function getInitialLetter(name: string): string | undefined;
export declare function avatarUrlForRoom(room: Room | null, width?: number, height?: number, resizeMethod?: ResizeMethod): string | null;
